org.eclipse.eef.ide.ui.internal.widgets

## Class EEFLabelLifecycleManager

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager
  - - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager
    - - org.eclipse.eef.ide.ui.internal.widgets.EEFLabelLifecycleManager

All Implemented Interfaces:
  IEEFLifecycleManager

    public class EEFLabelLifecycleManager
    extends AbstractEEFWidgetLifecycleManager

This class will be used in order to manage the lifecycle of a label.

### Field Summary

### Fields inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager

`contextAdapter, help, interpreter, label, VALIDATION_MARKER_OFFSET, variableManager`

### Fields inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager

`container`

### Constructor Summary

Constructors
Constructor and Description
`EEFLabelLifecycleManager(EEFLabelDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Prepares for the widgets to be hidden.
`void` `aboutToBeShown()` Prepares for the widgets to be shown.
`protected void` `createMainControl(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer)` Create the main control.
`void` `dispose()` Disposes the content created.
`protected IEEFWidgetController` `getController()` Returns the controller.
`protected int` `getLabelVerticalAlignment()` Returns the vertical alignment of the label of the widget.
`protected org.eclipse.swt.widgets.Control` `getValidationControl()` Returns the control on which the validation marker will appear.
`protected EEFWidgetDescription` `getWidgetDescription()` Returns the description of the widget.
`void` `refresh()` Refresh the widgets.

### Methods inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager

`createControl, getEEFStyleHelper, getStructuredSelection, isEnabled, needSeparatedLabel, setLabelFontStyle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLabelLifecycleManager

    public EEFLabelLifecycleManager(EEFLabelDescription description,
                                    org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                    org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                    EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter

### Method Detail

#### createMainControl

    protected void createMainControl(org.eclipse.swt.widgets.Composite parent,
                                     IEEFFormContainer formContainer)

Create the main control.

Specified by:
  `createMainControl` in class `AbstractEEFWidgetLifecycleManager`
Parameters:
  `parent` - The composite parent
  `formContainer` - The form container
See Also:
  `AbstractEEFWidgetLifecycleManager.createMainControl(org.eclipse.swt.widgets.Composite, org.eclipse.eef.common.ui.api.IEEFFormContainer)`

#### getLabelVerticalAlignment

    protected int getLabelVerticalAlignment()

Returns the vertical alignment of the label of the widget. Use one of the following values:

- GridData.VERTICAL_ALIGN_BEGINNING
- GridData.VERTICAL_ALIGN_CENTER
- GridData.VERTICAL_ALIGN_END

Overrides:
  `getLabelVerticalAlignment` in class `AbstractEEFWidgetLifecycleManager`
Returns:
  The vertical alignment of the label of the widget
See Also:
  `AbstractEEFWidgetLifecycleManager.getLabelVerticalAlignment()`

#### aboutToBeShown

    public void aboutToBeShown()

Prepares for the widgets to be shown.

Specified by:
  `aboutToBeShown` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeShown` in class `AbstractEEFWidgetLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeShown()`

#### refresh

    public void refresh()

Refresh the widgets.

Specified by:
  `refresh` in interface `IEEFLifecycleManager`
Overrides:
  `refresh` in class `AbstractEEFLifecycleManager`
See Also:
  `AbstractEEFLifecycleManager.refresh()`

#### aboutToBeHidden

    public void aboutToBeHidden()

Prepares for the widgets to be hidden.

Specified by:
  `aboutToBeHidden` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeHidden` in class `AbstractEEFWidgetLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeHidden()`

#### getController

    protected IEEFWidgetController getController()

Returns the controller.

Specified by:
  `getController` in class `AbstractEEFWidgetLifecycleManager`
Returns:
  The controller
See Also:
  `IEEFLifecycleManager.dispose()`

#### getWidgetDescription

    protected EEFWidgetDescription getWidgetDescription()

Returns the description of the widget.

Specified by:
  `getWidgetDescription` in class `AbstractEEFWidgetLifecycleManager`
Returns:
  The description of the widget
See Also:
  `AbstractEEFWidgetLifecycleManager.getController()`

#### getValidationControl

    protected org.eclipse.swt.widgets.Control getValidationControl()

Returns the control on which the validation marker will appear.

Specified by:
  `getValidationControl` in class `AbstractEEFLifecycleManager`
Returns:
  The control used to display the validation marker
See Also:
  `AbstractEEFLifecycleManager.getValidationControl()`

#### dispose

    public void dispose()

Disposes the content created. The widgets created under the composite will be disposed by SWT already.

Specified by:
  `dispose` in interface `IEEFLifecycleManager`
Overrides:
  `dispose` in class `AbstractEEFWidgetLifecycleManager`
See Also:
  `AbstractEEFWidgetLifecycleManager.dispose()`